Bug 474339 - Wrong resolution is choosen with radeon driver
Wrong resolution is choosen with radeon driver
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-03 06:58 EST by Milan Kerslager
Modified: 2009-12-18 02:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:07:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
log with no xorg.conf, ended up on 800x600 (91.05 KB, text/plain)
2008-12-03 06:58 EST, Milan Kerslager
no flags Details
xorg with HorizSync and VertRefresh to get native 1280x1024 (886 bytes, text/plain)
2008-12-03 07:00 EST, Milan Kerslager
no flags Details
log with xorg.conf, native 1280x1024 has been auto-used (153.21 KB, text/plain)
2008-12-03 07:09 EST, Milan Kerslager
no flags Details
log with no xorg.conf, ended up on 800x600 (132.05 KB, text/plain)
2008-12-03 07:12 EST, Milan Kerslager
no flags Details
Other machine, no xorg.conf, ends with 800x600 (40.96 KB, text/plain)
2008-12-03 15:19 EST, Milan Kerslager
no flags Details
Other machine, xorg.conf to get 1280x1024 (4.14 KB, text/plain)
2008-12-03 15:20 EST, Milan Kerslager
no flags Details
Other machine, xorg.conf has been used, correct 1280x1024 (38.28 KB, text/plain)
2008-12-03 15:21 EST, Milan Kerslager
no flags Details

  None (edit)
Description Milan Kerslager 2008-12-03 06:58:01 EST
Created attachment 325526 [details]
log with no xorg.conf, ended up on 800x600

F10 did not use proper resolution on ATI cards with radeon driver. Even I have LCD 1280x1024 and X server detect it properly, I ended up on 800x600.

I tryed xorg-x11-drv-ati-6.9.0-61.fc10.i386 from koji with no luck.

I have to use xorg.conf with HorizSync and VertRefresh to use native resolution.
Comment 1 Milan Kerslager 2008-12-03 07:00:48 EST
Created attachment 325527 [details]
xorg with HorizSync and VertRefresh to get native 1280x1024
Comment 2 Milan Kerslager 2008-12-03 07:09:42 EST
Created attachment 325529 [details]
log with xorg.conf, native 1280x1024 has been auto-used
Comment 3 Milan Kerslager 2008-12-03 07:12:22 EST
Created attachment 325530 [details]
log with no xorg.conf, ended up on 800x600
Comment 4 Milan Kerslager 2008-12-03 07:15:56 EST
I have onboard "ATI Technologies Inc RV370 [Sapphire X550 Silent]" (0300: 1002:5b63) and:
xorg-x11-drv-ati-6.9.0-61.fc10.i386
kernel-2.6.27.5-117.fc10.i686
Comment 5 Milan Kerslager 2008-12-03 10:37:24 EST
The KMS correcly set 1280x1024 for text console.
Comment 6 Milan Kerslager 2008-12-03 10:43:27 EST
The other machine has onboard ATI RS690 [Radeon X1200 Series] and has the same problem. With no xorg.conf both 54 and 59 drivers end up on 800x600 even text console has 1280x1024. xorg.conf needs 1280x1024 mode in screen section.
Comment 7 Milan Kerslager 2008-12-03 15:19:26 EST
Created attachment 325587 [details]
Other machine, no xorg.conf, ends with 800x600
Comment 8 Milan Kerslager 2008-12-03 15:20:12 EST
Created attachment 325588 [details]
Other machine, xorg.conf to get 1280x1024
Comment 9 Milan Kerslager 2008-12-03 15:21:28 EST
Created attachment 325589 [details]
Other machine, xorg.conf has been used, correct 1280x1024
Comment 10 Milan Kerslager 2008-12-03 15:28:18 EST
Last 3 attachments are from "other machine" with xorg-x11-drv-ati-6.9.0-61.fc10.i386.

The 61 driver is better than the older from F10 because does not hang. 61 is only much slower nad X server eats 50 to 70% of CPU when there are fast movements (Firefox scrolling, 3D desktop effects). But mouse is still movable when the troubles come.
Comment 11 Milan Kerslager 2008-12-04 01:01:57 EST
KojiURL: http://kojipkgs.fedoraproject.org/packages/xorg-x11-drv-ati/6.9.0/
Comment 12 Milan Kerslager 2008-12-04 01:13:39 EST
Workaround:

1) login as root (open terminal, type command "su -" and root's password)
2) init 3
3) login as root at text console
4) X -configure
5) copy new config file to /etc/X11/xorg.conf
6) edit file above an add (if needed) to Display subsection under Screen section
   your native resolution:
   Modes "1280x1024"

It is possible to create new config file in GUI, then logout/login only.
Comment 13 Milan Kerslager 2008-12-04 05:36:33 EST
ASUS M2A-VM with onboard "ATI Technologies Inc RS690 [Radeon X1200 Series]" has the same problem. But without hangs even older driver (PCI ID: 0300: 1002:791e).
Comment 14 Benny 2008-12-19 09:24:39 EST
My friend has laptop with a ATI Mobility Radeon X300, I had to install F10 for him, X completely failed to startup during the installation already, so I had to force the VESA driver to be able to run anything graphical, either during installation of F10 or normal use of F10 (after installation of course)... If I currently try to use any other driver (including fglrx) then X fails to startup. So he's stuck using F10 in VESA mode....
Comment 15 Samuel Sieb 2009-04-01 00:17:24 EDT
Try using nomodeset on the kernel boot line in grub.
Comment 16 Samuel Sieb 2009-04-01 00:22:20 EDT
This is very similar to bug #493243.  From the attached log, I see that it's detecting a monitor attached to VGA-0 when there isn't one.  Definitely try using "nomodeset" as a workaround for now.
Comment 17 Bug Zapper 2009-11-18 05:17:59 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2009-12-18 02:07:14 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.